# Quarn OS
#
# Makefile for resources
#
# Copyright (C) 2008-2009 Pawel Dziepak
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

RESOURCE = isa.o pci.o device.o keybscr.o x86_keybscr.o fdc.o speaker.o prvl.o foma.o fat.o fs.o file.o virtual_bus.o pio.o physmem.o unknown.o ne2k.o usb.o uhci.o bus.o net/arp.o net/mac_addr.o net/arp_table.o net/ethernet.o net/link_layer.o net/ipv4.o net/icmp.o net/ipv4_addr.o net/udp.o net/udp_server_socket.o net/udp_client_socket.o net/tcp.o net/tcp_client_socket.o rtl8139.o slob.o usb_mass_storage.o # rs232.o

OBJS = $(MANES) $(RESOURCE)

resources: dep.d compile

compile: $(OBJS)

dep.d:
		@echo -e "\t\t[dep]\tresources"
		@$(CPP) $(CPPFLAGS) -M *.cpp > dep.d

.c.o:
		@echo -e "\t\t[$(CC)]\tresources/$*.c"
		@$(CC) $(CFLAGS) -c $*.c -o $*.o

.cpp.o:
		@echo -e "\t\t[$(CPP)]\tresources/$*.cpp"
		@$(CPP) $(CPPFLAGS) -c $*.cpp -o $*.o

clean:
		@echo -e "\t\t[rm]\tresources"
		@-rm -f dep.d
		@rm -f *.o
		@rm -f net/*.o

ifeq ($(MAKECMDGOALS),)
-include dep.d
endif